### Method

# FwupdPlugin Efivars get_secure_boot

#### Declaration [src]

    gboolean
    fu_efivars_get_secure_boot (
      FuEfivars* self,
      gboolean* enabled,
      GError** error
    )

#### Description [src]

Determines if secure boot was enabled.

Available since: | 2.0.0

#### Parameters

`enabled` | `gboolean*`
| SecureBoot value.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.